#source("01-packs-options.R")
#source("02-preproc.R")

f440 <- readShapeSpatial("../../dgm/saga-export-f440")
f550 <- readShapeSpatial("../../dgm/saga-export-f550") 
f610 <- readShapeSpatial("../../dgm/saga-export-f610") 
f611 <- readShapeSpatial("../../dgm/saga-export-f611") 
f631 <- readShapeSpatial("../../dgm/saga-export-f631") 

f611sd <- readShapeSpatial("../../dgm/f611-different-sd/r-export-f611") 

# rename some variables
renameVariablesInSppdf <- function(sppdf){
        names <- names(sppdf)
        names[match("Slope",names)] <- "SLOPE"
        names[match("Aspect",names)] <- "ASPECT"
        names[match("Catchment",names)] <- "CATCHMENT.AREA"
        names[match("Catchmen_1",names)] <- "CATCHMENT.SLOPE"
        names[match("Modified.c",names)] <- "CATCHMENT.AREA.MOD"
        names[match("Wetness.in",names)] <- "WETNESS.INDEX"
        names[match("Curvature",names)] <- "CURVATURE"
        names[match("Plan.Curva",names)] <- "CURVATURE.PLAN"
        names[match("Profile.Cu",names)] <- "CURVATURE.PROFILE"
        names[match("STRATEGIE",names)] <- "STRATEGY"
        names[match("VG",names)] <- "STRATEGY"

        # and for f611 with differently smoothed DEMs

        names[match("X005.Slope",names)]  <- "x005.SLOPE"
        names[match("X005.Aspect",names)] <- "x005.ASPECT"
        names[match("X005.Catchm",names)] <- "x005.CATCHMENT.AREA"
        names[match("X005.Catc_1",names)] <- "x005.CATCHMENT.SLOPE"
        names[match("X005.Modifi",names)] <- "x005.CATCHMENT.AREA.MOD"
        names[match("X005.Wetnes",names)] <- "x005.WETNESS.INDEX"
        names[match("X005.Curvat",names)] <- "x005.CURVATURE"
        names[match("X005.Plan.C",names)] <- "x005.CURVATURE.PLAN"
        names[match("X005.Profil",names)] <- "x005.CURVATURE.PROFILE"

        names[match("X010.Slope",names)]  <- "x010.SLOPE"
        names[match("X010.Aspect",names)] <- "x010.ASPECT"
        names[match("X010.Catchm",names)] <- "x010.CATCHMENT.AREA"
        names[match("X010.Catc_1",names)] <- "x010.CATCHMENT.SLOPE"
        names[match("X010.Modifi",names)] <- "x010.CATCHMENT.AREA.MOD"
        names[match("X010.Wetnes",names)] <- "x010.WETNESS.INDEX"
        names[match("X010.Curvat",names)] <- "x010.CURVATURE"
        names[match("X010.Plan.C",names)] <- "x010.CURVATURE.PLAN"
        names[match("X010.Profil",names)] <- "x010.CURVATURE.PROFILE"

        names[match("X020.Slope",names)]  <- "x020.SLOPE"
        names[match("X020.Aspect",names)] <- "x020.ASPECT"
        names[match("X020.Catchm",names)] <- "x020.CATCHMENT.AREA"
        names[match("X020.Catc_1",names)] <- "x020.CATCHMENT.SLOPE"
        names[match("X020.Modifi",names)] <- "x020.CATCHMENT.AREA.MOD"
        names[match("X020.Wetnes",names)] <- "x020.WETNESS.INDEX"
        names[match("X020.Curvat",names)] <- "x020.CURVATURE"
        names[match("X020.Plan.C",names)] <- "x020.CURVATURE.PLAN"
        names[match("X020.Profil",names)] <- "x020.CURVATURE.PROFILE"

        names[match("X040.Slope",names)]  <- "x040.SLOPE"
        names[match("X040.Aspect",names)] <- "x040.ASPECT"
        names[match("X040.Catchm",names)] <- "x040.CATCHMENT.AREA"
        names[match("X040.Catc_1",names)] <- "x040.CATCHMENT.SLOPE"
        names[match("X040.Modifi",names)] <- "x040.CATCHMENT.AREA.MOD"
        names[match("X040.Wetnes",names)] <- "x040.WETNESS.INDEX"
        names[match("X040.Curvat",names)] <- "x040.CURVATURE"
        names[match("X040.Plan.C",names)] <- "x040.CURVATURE.PLAN"
        names[match("X040.Profil",names)] <- "x040.CURVATURE.PROFILE"

        names[match("X100.Slope",names)]  <- "x100.SLOPE"
        names[match("X100.Aspect",names)] <- "x100.ASPECT"
        names[match("X100.Catchm",names)] <- "x100.CATCHMENT.AREA"
        names[match("X100.Catc_1",names)] <- "x100.CATCHMENT.SLOPE"
        names[match("X100.Modifi",names)] <- "x100.CATCHMENT.AREA.MOD"
        names[match("X100.Wetnes",names)] <- "x100.WETNESS.INDEX"
        names[match("X100.Curvat",names)] <- "x100.CURVATURE"
        names[match("X100.Plan.C",names)] <- "x100.CURVATURE.PLAN"
        names[match("X100.Profil",names)] <- "x100.CURVATURE.PROFILE"

        names(sppdf) <- names
        return(sppdf)
}

f440 <- renameVariablesInSppdf(f440)
f550 <- renameVariablesInSppdf(f550)
f610 <- renameVariablesInSppdf(f610)
f611 <- renameVariablesInSppdf(f611)
f631 <- renameVariablesInSppdf(f631)
f611sd <- renameVariablesInSppdf(f611sd)

# a few records where no strategy is available,
# remove those
f631 <- f631[!is.na(f631$STRATEGY), ]

# remove a few data records in f550 where 
# N2 and/or N3 are negative
f550 <- f550[f550$N3 >0, ]
f550 <- f550[f550$N2 >0, ]


formulaf440 <- as.formula( paste("YIELD07", "~", "EC25 + N3 + N2 + N1 + REIP32 + REIP49 + STRATEGY + SORTE + CATCHMENT.AREA + CATCHMENT.SLOPE + CATCHMENT.AREA.MOD + WETNESS.INDEX + SLOPE + CURVATURE + CURVATURE.PLAN + CURVATURE.PROFILE", sep=""))
formulaf440wostrategy <- as.formula( paste("YIELD07", "~", "EC25 + N3 + N2 + N1 + REIP32 + REIP49 + SORTE + CATCHMENT.AREA + CATCHMENT.SLOPE + CATCHMENT.AREA.MOD + WETNESS.INDEX + SLOPE + CURVATURE + CURVATURE.PLAN + CURVATURE.PROFILE", sep=""))

formulaf550200304 <- as.formula( paste("YIELD04", "~", "YIELD03 + EC25 + N3 + N2 + N1 + REIP32 + REIP49 + STRATEGY + CATCHMENT.AREA + CATCHMENT.SLOPE + CATCHMENT.AREA.MOD + WETNESS.INDEX + SLOPE + CURVATURE + CURVATURE.PLAN + CURVATURE.PROFILE", sep=""))
formulaf550200304wostrategy <- as.formula( paste("YIELD04", "~", "YIELD03 + EC25 + N3 + N2 + N1 + REIP32 + REIP49 + CATCHMENT.AREA + CATCHMENT.SLOPE + CATCHMENT.AREA.MOD + WETNESS.INDEX + SLOPE + CURVATURE + CURVATURE.PLAN + CURVATURE.PROFILE", sep=""))

formulaf5502004 <- as.formula( paste("YIELD04", "~", "EC25 + N3 + N2 + N1 + REIP32 + REIP49 + STRATEGY + CATCHMENT.AREA + CATCHMENT.SLOPE + CATCHMENT.AREA.MOD + WETNESS.INDEX + SLOPE + CURVATURE + CURVATURE.PLAN + CURVATURE.PROFILE", sep=""))
formulaf5502004wostrategy <- as.formula( paste("YIELD04", "~", "EC25 + N3 + N2 + N1 + REIP32 + REIP49 + CATCHMENT.AREA + CATCHMENT.SLOPE + CATCHMENT.AREA.MOD + WETNESS.INDEX + SLOPE + CURVATURE + CURVATURE.PLAN + CURVATURE.PROFILE", sep=""))

formulaf610 <- as.formula( paste("YIELD07", "~", "EC25 + N3 + N2 + N1 + STRATEGY + CATCHMENT.AREA + CATCHMENT.SLOPE + CATCHMENT.AREA.MOD + WETNESS.INDEX + SLOPE + CURVATURE + CURVATURE.PLAN + CURVATURE.PROFILE", sep=""))
formulaf610wostrategy <- as.formula( paste("YIELD07", "~", "EC25 + N3 + N2 + N1 + CATCHMENT.AREA + CATCHMENT.SLOPE + CATCHMENT.AREA.MOD + WETNESS.INDEX + SLOPE + CURVATURE + CURVATURE.PLAN + CURVATURE.PROFILE", sep=""))

formulaf611 <- as.formula( paste("YIELD07", "~", "EC25 + N3 + N2 + N1 + REIP32 + REIP49 + STRATEGY + CATCHMENT.AREA + CATCHMENT.SLOPE + CATCHMENT.AREA.MOD + WETNESS.INDEX + SLOPE + CURVATURE + CURVATURE.PLAN + CURVATURE.PROFILE", sep=""))
formulaf611wostrategy <- as.formula( paste("YIELD07", "~", "EC25 + N3 + N2 + N1 + REIP32 + REIP49 + CATCHMENT.AREA + CATCHMENT.SLOPE + CATCHMENT.AREA.MOD + WETNESS.INDEX + SLOPE + CURVATURE + CURVATURE.PLAN + CURVATURE.PROFILE", sep=""))

formulaf631 <- as.formula( paste("YIELD07", "~", "EC25 + N3 + N2 + N1 + STRATEGY + CATCHMENT.AREA + CATCHMENT.SLOPE + CATCHMENT.AREA.MOD + WETNESS.INDEX + SLOPE + CURVATURE + CURVATURE.PLAN + CURVATURE.PROFILE", sep=""))
formulaf631wostrategy <- as.formula( paste("YIELD07", "~", "EC25 + N3 + N2 + N1 + CATCHMENT.AREA + CATCHMENT.SLOPE + CATCHMENT.AREA.MOD + WETNESS.INDEX + SLOPE + CURVATURE + CURVATURE.PLAN + CURVATURE.PROFILE", sep=""))

f611sdformula <- as.formula( paste("YIELD07", "~", "EC25 + N3 + N2 + N1 + REIP32 + REIP49 + ELEVATION + 
                                        x005.CATCHMENT.AREA + x005.CATCHMENT.SLOPE + x005.CATCHMENT.AREA.MOD + x005.WETNESS.INDEX + x005.SLOPE + x005.ASPECT + x005.CURVATURE + x005.CURVATURE.PLAN + x005.CURVATURE.PROFILE +
                                        x010.CATCHMENT.AREA + x010.CATCHMENT.SLOPE + x010.CATCHMENT.AREA.MOD + x010.WETNESS.INDEX + x010.SLOPE + x010.ASPECT + x010.CURVATURE + x010.CURVATURE.PLAN + x010.CURVATURE.PROFILE +
                                        x020.CATCHMENT.AREA + x020.CATCHMENT.SLOPE + x020.CATCHMENT.AREA.MOD + x020.WETNESS.INDEX + x020.SLOPE + x020.ASPECT + x020.CURVATURE + x020.CURVATURE.PLAN + x020.CURVATURE.PROFILE +
                                        x040.CATCHMENT.AREA + x040.CATCHMENT.SLOPE + x040.CATCHMENT.AREA.MOD + x040.WETNESS.INDEX + x040.SLOPE + x040.ASPECT + x040.CURVATURE + x040.CURVATURE.PLAN + x040.CURVATURE.PROFILE +
                                        x100.CATCHMENT.AREA + x100.CATCHMENT.SLOPE + x100.CATCHMENT.AREA.MOD + x100.WETNESS.INDEX + x100.SLOPE + x100.ASPECT + x100.CURVATURE + x100.CURVATURE.PLAN + x100.CURVATURE.PROFILE", sep=""))

formulaf611sd005 <- as.formula( paste("YIELD07", "~", "EC25 + N3 + N2 + N1 + REIP32 + REIP49 + STRATEGY +
                                        x005.CATCHMENT.AREA + x005.CATCHMENT.SLOPE + x005.CATCHMENT.AREA.MOD + x005.WETNESS.INDEX + x005.SLOPE + x005.CURVATURE + x005.CURVATURE.PLAN + x005.CURVATURE.PROFILE", sep=""))

formulaf611sd010 <- as.formula( paste("YIELD07", "~", "EC25 + N3 + N2 + N1 + REIP32 + REIP49 + STRATEGY +
                                        x010.CATCHMENT.AREA + x010.CATCHMENT.SLOPE + x010.CATCHMENT.AREA.MOD + x010.WETNESS.INDEX + x010.SLOPE + x010.CURVATURE + x010.CURVATURE.PLAN + x010.CURVATURE.PROFILE", sep=""))

formulaf611sd020 <- as.formula( paste("YIELD07", "~", "EC25 + N3 + N2 + N1 + REIP32 + REIP49 + STRATEGY +
                                        x020.CATCHMENT.AREA + x020.CATCHMENT.SLOPE + x020.CATCHMENT.AREA.MOD + x020.WETNESS.INDEX + x020.SLOPE + x020.CURVATURE + x020.CURVATURE.PLAN + x020.CURVATURE.PROFILE", sep=""))

formulaf611sd040 <- as.formula( paste("YIELD07", "~", "EC25 + N3 + N2 + N1 + REIP32 + REIP49 + STRATEGY +
                                        x040.CATCHMENT.AREA + x040.CATCHMENT.SLOPE + x040.CATCHMENT.AREA.MOD + x040.WETNESS.INDEX + x040.SLOPE + x040.CURVATURE + x040.CURVATURE.PLAN + x040.CURVATURE.PROFILE", sep=""))

formulaf611sd100 <- as.formula( paste("YIELD07", "~", "EC25 + N3 + N2 + N1 + REIP32 + REIP49 + STRATEGY +
                                        x100.CATCHMENT.AREA + x100.CATCHMENT.SLOPE + x100.CATCHMENT.AREA.MOD + x100.WETNESS.INDEX + x100.SLOPE + x100.CURVATURE + x100.CURVATURE.PLAN + x100.CURVATURE.PROFILE", sep=""))

# output shape files with DEM information
writeSpatialShape(f440,"~/tmp/r-export-f440")
writeSpatialShape(f550,"~/tmp/r-export-f550")
writeSpatialShape(f610,"~/tmp/r-export-f610")
writeSpatialShape(f611,"~/tmp/r-export-f611")
writeSpatialShape(f631,"~/tmp/r-export-f631")

# on some parts of the field, special fertilization strategies
# were carried out. The following section serves to create
# those data sets with the actual parts of the spatialPointsDataFrame
# which is to be used for spatial variable importance assessment

f440ko <- f440[f440$STRATEGY %in% c("Konstant"),]
f440kn <- f440[f440$STRATEGY %in% c("Konstant-niedrig"),]
f440se <- f440[f440$STRATEGY %in% c("Sensor"),]
f440nn <- f440[f440$STRATEGY %in% c("Netz"),]

f550be <- f550[f550$STRATEGY %in% c("Betrieb"),]
f550ma <- f550[f550$STRATEGY %in% c("Mapping"),]
f550ns <- f550[f550$STRATEGY %in% c("N-Steigerung"),]
f550se <- f550[f550$STRATEGY %in% c("Sensor"),]

f610ko <- f610[f610$STRATEGY %in% c("Konstant"),]
f610ns <- f610[f610$STRATEGY %in% c("N-Steig"),]
f610nn <- f610[f610$STRATEGY %in% c("Netz"),]
f610s1 <- f610[f610$STRATEGY %in% c("Sensor1"),]
f610s2 <- f610[f610$STRATEGY %in% c("Sensor2"),]

f611ko <- f611[f611$STRATEGY %in% c("Konstant"), ]
f611nn <- f611[f611$STRATEGY %in% c("Netz"), ]
f611se <- f611[f611$STRATEGY %in% c("Sensor"), ]

f631ko <- f631[f631$STRATEGY %in% c("Konstant"),]
f631ns <- f631[f631$STRATEGY %in% c("N-Steig"),]
f631nn <- f631[f631$STRATEGY %in% c("Netz"),]
