GenerateBoxPlots <- function(sppdf, framename){

     explan <- colnames(sppdf@data)
     explan1 <- explan[ (explan %in% c("EC25", "N3", "N2", "N1", "YIELD07"))]
     explan2 <- explan[ (explan %in% c("REIP32", "REIP49"))]

     # generate first boxplot 
      #ps.options(horizontal = F)
      postscript(file = paste("results/", framename, "-boxplots-1.eps", sep = ""))
      par(las=3, mar=c(5,4,4,2)+.1)
      #print(
        boxplot(subset(sppdf@data, 
                select= sort(explan1), 
                main = paste("Data Summary for ", framename, " field", sep = ""),
                xlab = "variable value", 
                ylab = "variable"))
#        dev.copy2eps(file = paste(framename, "-boxplots-1.eps"))
#        dev.copy(postscript, file=paste("results/", framename, "-boxplots-1.eps"), height=6, width=12, horizontal=T, onefile=F)
      #    )
      dev.off()
     # generate second boxplot 
      ps.options(horizontal = F)
      postscript(file = paste("results/", framename, "-boxplots-2.eps", sep = ""))
      par(las=3, mar=c(5,4,4,2)+.1)

        boxplot(subset(sppdf@data, 
                select= explan2, 
                main = paste("Data Summary for ", framename, " field", sep = ""),
                xlab = "variable value",
                ylab = "variable"))
                #pars = list(boxwex = 0.1, staplewex = 0.2, outwex = 0.1),
      dev.off()

}


plotsf440 <- GenerateBoxPlots(f440, "F440")
plotsf611 <- GenerateBoxPlots(f611, "F611")

GenerateDataSummary <- function(sppdf,explan){

       mintable <- vector(mode = "list", length = length(explan))
       meantable <- vector(mode = "list", length = length(explan))
       mediantable <- vector(mode = "list", length = length(explan))
       maxtable <- vector(mode = "list", length = length(explan))


        i <- 0
        for (k in explan){
          i <- i+1

          mintable[i] <- min(sppdf[[k]])
          meantable[i] <- mean(sppdf[[k]])
          mediantable[i] <- median(sppdf[[k]])
          maxtable[i] <- max(sppdf[[k]])

        #print(mean(sppdf[[k]]))
         }
         mintable <- unlist(mintable)
         meantable <- unlist(meantable)
         mediantable <- unlist(mediantable)
         maxtable <- unlist(maxtable)

        summaryframe <- data.frame(min = mintable, mean = meantable,
                median = mediantable, max = maxtable)
         return(summaryframe)
}

f440sum <- GenerateDataSummary(f440,explan)
f611sum <- GenerateDataSummary(f611,explan)
