source("01-packs-options.R")
source("02-preproc.R")
source("10-functions-shapefile.R")
source("40-spatclust-script.R")

#################### f611

framename="f611"
predictors <- c("REIP32", "REIP49")
contigfact <- 0.5
hierarchf611cf05 <- hierarchicalSpatialClustering(f611,framename=framename,200,"average",predictors=predictors, zones=1, distfact=1.5, contigfact=contigfact, filetype="postscript", color=FALSE, cex=0.7)
plotClusteringResults(hierarchf611cf05,framename=framename, contigfact)

framename="f611"
predictors <- c("EC25")
contigfact <- 0.5
hierarchf611cf05 <- hierarchicalSpatialClustering(f611,framename=framename,200,"average",predictors=predictors, zones=1, distfact=1.5, contigfact=contigfact, filetype="postscript", color=FALSE, cex=0.7)
plotClusteringResults(hierarchf611cf05,framename=framename, contigfact)

contigfact <- 3.0
hierarchf611cf05 <- hierarchicalSpatialClustering(f611,framename=framename,200,"average",predictors=predictors, zones=1, distfact=1.5, contigfact=contigfact, filetype="postscript", color=FALSE, cex=0.7)
plotClusteringResults(hierarchf611cf3,framename=framename, contigfact)


##################################################
#################### f440 ########################
##################################################

framename="f440"
predictors <- c("REIP49")
contigfact <- 0.5
hierarchf440 <- hierarchicalSpatialClustering(f440,framename=framename,200,"average",predictors=predictors, zones=1, distfact=1.5, contigfact=contigfact, filetype="postscript", color=FALSE, cex=0.7)
plotClusteringResults(hierarchf440cf05,framename=framename, contigfact)

#### f440, different cf values for comparison, factor of 1.8 between each cf

framename="f440"
predictors <- c("REIP32")
contigfact <- 0.5
hierarchf440 <- hierarchicalSpatialClustering(f440,framename=framename,120,"average",predictors=predictors, zones=1, distfact=1.5, contigfact=contigfact, filetype="postscript", color=FALSE, cex=0.7)
#plotClusteringResults(hierarchf440cf05,framename=framename, contigfact)

framename="f440"
predictors <- c("REIP32")
contigfact <- 1.0 
hierarchf440 <- hierarchicalSpatialClustering(f440,framename=framename,120,"average",predictors=predictors, zones=1, distfact=1.5, contigfact=contigfact, filetype="postscript", color=FALSE, cex=0.7)
#plotClusteringResults(hierarchf440cf05,framename=framename, contigfact)

framename="f440"
predictors <- c("REIP32")
contigfact <- 1.6
hierarchf440 <- hierarchicalSpatialClustering(f440,framename=framename,120,"average",predictors=predictors, zones=1, distfact=1.5, contigfact=contigfact, filetype="postscript", color=FALSE, cex=0.7)
#plotClusteringResults(hierarchf440cf05,framename=framename, contigfact)

framename="f440"
predictors <- c("REIP32")
contigfact <- 2.9
hierarchf440 <- hierarchicalSpatialClustering(f440,framename=framename,120,"average",predictors=predictors, zones=1, distfact=1.5, contigfact=contigfact, filetype="postscript", color=FALSE, cex=0.7)
#plotClusteringResults(hierarchf440cf05,framename=framename, contigfact)

#### f440, N1 value, different settings for initial tessellation size
framename="f440"
predictors <- c("N1")
contigfact <- 0.5
hierarchf440 <- hierarchicalSpatialClustering(f440,framename=framename,100,"average",predictors=predictors, zones=1, distfact=1.5, contigfact=contigfact, filetype="postscript", color=FALSE, cex=0.7)
hierarchf440 <- hierarchicalSpatialClustering(f440,framename=framename,640,"average",predictors=predictors, zones=1, distfact=1.5, contigfact=contigfact, filetype="postscript", color=FALSE, cex=0.7)

######################################################################
#################### f631 ############################################
######################################################################

framename="f631"
predictors <- c("EC25")
contigfact <- 0.5
hierarchf631cf05 <- hierarchicalSpatialClustering(f631,framename=framename,250,"average",predictors=predictors, zones=1, distfact=1.5, contigfact=contigfact, filetype="postscript", color=FALSE, cex=0.7)
plotClusteringResults(hierarchf631cf05,framename=framename, contigfact)

contigfact <- 3
hierarchf631cf3 <- hierarchicalSpatialClustering(f631,framename=framename,250,"average",predictors=predictors, zones=1, distfact=1.5, contigfact=contigfact, filetype="postscript", color=FALSE, cex=0.7)
plotClusteringResults(hierarchf631cf3,framename=framename, contigfact)

######################################################################
#################### f610 ############################################
######################################################################

framename="f610"
predictors <- c("EC25")
contigfact <- 0.5
hierarchf610cf05 <- hierarchicalSpatialClustering(f610,framename=framename,200,"average",predictors=predictors, zones=1, distfact=1.5, contigfact=contigfact, filetype="postscript", color=FALSE, cex=0.7)
plotClusteringResults(hierarchf610cf05,framename=framename, contigfact)

######################################################################
#################### f550 ############################################
######################################################################

predictors <- c("P", "K", "Mg", "pH")
contigfact <- 0.5
hierarchf550 <- hierarchicalSpatialClustering(f550,"f550",200,"average",predictors=predictors, zones=1, distfact=1.5, contigfact=contigfact, filetype="postscript", color=FALSE, cex=1.7)
plotClusteringResults(hierarchf550,"f550", contigfact)
#system('mencoder "mf://results/clusterplots/f550-hsc-cf-0.5-*.png" -mf fps=4 -o ~/tmp/f550-pH-K-Mg-P-movie-cf0.5.avi -ovc lavc')

predictors <- c("P", "K", "Mg", "pH")
contigfact <- 0.5
hierarchf550 <- hierarchicalSpatialClustering(f550,"f550",250,"average",predictors=predictors, zones=1, distfact=1.5, contigfact=contigfact, filetype="png", color=TRUE, cex=1.7)
plotClusteringResults(hierarchf550,"f550", contigfact)

contigfact <- 3.0
hierarchf550cf3 <- hierarchicalSpatialClustering(f550,"f550",200,"average",predictors=predictors, zones=1, distfact=1.5, contigfact=contigfact, filetype="postscript", color=TRUE, cex=1.7)
plotClusteringResults(hierarchf550cf3,"f550", contigfact)

predictors <- c("EC25")
contigfact <- 3
hierarchf550 <- hierarchicalSpatialClustering(f550,"f550",150,"average",predictors=predictors, zones=2, distfact=1.5, contigfact=contigfact, filetype="png")
plotClusteringResults(hierarchf550,"f550", contigfact)

contigfact <- 2
hierarchf550 <- hierarchicalSpatialClustering(f550,"f550",150,"average",predictors=predictors, zones=2, distfact=1.5, contigfact=contigfact, filetype="png")
plotClusteringResults(hierarchf550,"f550", contigfact)

contigfact <- 1
hierarchf550 <- hierarchicalSpatialClustering(f550,"f550",150,"average",predictors=predictors, zones=2, distfact=1.5, contigfact=contigfact, filetype="png")
plotClusteringResults(hierarchf550,"f550", contigfact)

contigfact <- 0.5
hierarchf550 <- hierarchicalSpatialClustering(f550,"f550",150,"average",predictors=predictors, zones=2, distfact=1.5, contigfact=contigfact, filetype="png")
plotClusteringResults(hierarchf550,"f550", contigfact)

# encode png images to hierarchical clustering movie:
system('mencoder "mf://video/f440*.png" -mf fps=4 -o ~/nfshome/diss/work/agricult/2007/video/f440-REIP32-movie.avi -ovc lavc')

system('mencoder "mf://results/clusterplots/f550-hsc-cf-0.5-*.png" -mf fps=4 -o ~/tmp/f550-pH-K-Mg-P-movie-cf0.5.avi -ovc lavc')
system('mencoder "mf://results/clusterplots/f550-hsc-cf-3.*.png" -mf fps=4 -o ~/tmp/f550-pH-K-Mg-P-movie-cf3-bw.avi -ovc lavc')

