source("01-packs-options.R")
#source("02-preproc.R")
source("10-functions-shapefile.R")
source("40-spatclust-script.R")

load("classif_lidar.Rdata")
coordinates(tab3) <- ~x*y

dir.create("results")
dir.create("results/clusterplots")
dir.create("results/predictorplots")

# create plots of the variables in tab3
makePredictorPlots(tab3, "tab3", names(tab3@data), groups=8, cex=0.15)

framename="tab3"

# set the variables which you want to run the algorithm on
predictors <- c("delta")
contigfact <- 0.5

# start clustering here by running this function
tab3clustering <- hierarchicalSpatialClustering(tab3,
                        framename=framename, #mainly used for naming the figures
                        500, # initial tessellation by k-Means
                        "average", #the aggregation measure (no other currently implemented)
                        predictors=predictors, # see/set above
                        zones=1, # how long to run the algorithm (1= until only one zone is left)
                        distfact=1.5, #some heuristic for the neighbor calculation, leave unchanged
                        contigfact=contigfact, # contiguity factor -- when the algorithm decides
                        # to switch from the hard to the soft spatial constraint
                        # low value: probably 0.5, means high spatial contiguity
                        # high value: around 3, means low spatial contiguity
                        filetype="png", #what type of figures to generate, ("png" or "postscript" (eps))
                        color=TRUE, # color or B-W-figures
                        cex=0.15 # what size the data "dots" have (adapted to the tab3 data set already)
                        )

# requires mencoder/mplayer, probably not available 
# by default on windows, adapt paths
system('mencoder "mf://results/clusterplots/tab3-hsc-cf-0.5-moy-cl200-*.png" -mf fps=4 -o ~/tmp/tab3-moy-movie-cf0.5.avi -ovc lavc')

